import { IsNotEmpty, IsNumber, IsString } from 'class-validator';

export class UpdateSongDto {
  @IsNumber()
  id: number;

  @IsString()
  @IsNotEmpty()
  title: string;

  @IsNumber()
  duration: number;

  @IsNumber()
  trackNumber: number;

  @IsNumber()
  albumId: number;
}
